commit 7d0615457f5f26bab3900804d60e9b96c09738c9
Author: Jeremy Harris <jgh146exb@wizmail.org>
Date:   Sun Mar 15 21:08:28 2020 +0000

    Fix spurious detection of timeout while writing to transport filter
    
    (cherry picked from commit 130212d30d47e588c2bc03edcfce11bf3857da03)

diff --git a/src/src/transport.c b/src/src/transport.c
index df7fd1628..70e96c065 100644
--- a/src/src/transport.c
+++ b/src/src/transport.c
@@ -253,6 +253,7 @@ for (int i = 0; i < 100; i++)
 
   else
     {
+    sigalrm_seen = FALSE;
     ALARM(local_timeout);
 
     rc =

